Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::back_fn Struct Reference
Range

## Public Member Functions
template<typename Rng >
constexpr range_reference_t< Rng > | operator() (Rng &&rng) const

## Member Function Documentation

## ◆ operator()()

template<typename Rng >

constexpr range_reference_t<Rng> ranges::back_fn::operator() | ( | Rng && | rng | ) | const
| constexpr

Returns
  `*prev(end(rng))`

Precondition
  requires `common_range<Rng> && bidirectional_range<Rng> && borrowed_range<Rng>`